Index: /palm/trunk/SOURCE/time_integration_spinup.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration_spinup.f90	(revision 4539)
+++ /palm/trunk/SOURCE/time_integration_spinup.f90	(revision 4540)
@@ -1,23 +1,23 @@
 !> @file time_integration_spinup.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
-! ------------------
+! -----------------
 ! 
 ! 
@@ -25,40 +25,42 @@
 ! -----------------
 ! $Id$
-! use statement for exchange horiz added
-! 
+! File re-formatted to follow the PALM coding standard
+!
+! 4457 2020-03-11 14:20:43Z raasch
+! Use statement for exchange horiz added
+!
 ! 4444 2020-03-05 15:59:50Z raasch
-! bugfix: cpp-directives for serial mode added
-! 
+! Bugfix: cpp-directives for serial mode added
+!
 ! 4360 2020-01-07 11:25:50Z suehring
 ! Enable output of diagnostic quantities, e.g. 2-m temperature
-! 
+!
 ! 4227 2019-09-10 18:04:34Z gronemeier
-! implement new palm_date_time_mod
-! 
+! Implement new palm_date_time_mod
+!
 ! 4223 2019-09-10 09:20:47Z gronemeier
 ! Corrected "Former revisions" section
-! 
+!
 ! 4064 2019-07-01 05:33:33Z gronemeier
 ! Moved call to radiation module out of intermediate time loop
-! 
+!
 ! 4023 2019-06-12 13:20:01Z maronga
 ! Time stamps are now negative in run control output
-! 
+!
 ! 3885 2019-04-11 11:29:34Z kanani
-! Changes related to global restructuring of location messages and introduction 
-! of additional debug messages
-! 
+! Changes related to global restructuring of location messages and introduction of additional debug
+! messages
+!
 ! 3766 2019-02-26 16:23:41Z raasch
-! unused variable removed
-! 
+! Unused variable removed
+!
 ! 3719 2019-02-06 13:10:18Z kanani
-! Removed log_point(19,54,74,50,75), since they count together with same log
-! points in time_integration, impossible to separate the contributions.
-! Instead, the entire spinup gets an individual log_point in palm.f90
-! 
+! Removed log_point(19,54,74,50,75), since they count together with same log points in
+! time_integration, impossible to separate the contributions. Instead, the entire spinup gets an
+! individual log_point in palm.f90
+!
 ! 3655 2019-01-07 16:51:22Z knoop
-! Removed call to calculation of near air (10 cm) potential temperature (now in
-! surface layer fluxes)
-! 
+! Removed call to calculation of near air (10 cm) potential temperature (now in surface layer fluxes)
+!
 ! 2296 2017-06-28 07:53:56Z maronga
 ! Initial revision
@@ -67,44 +69,83 @@
 ! Description:
 ! ------------
-!> Integration in time of the non-atmospheric model components such as land
-!> surface model and urban surface model
-!------------------------------------------------------------------------------!
+!> Integration in time of the non-atmospheric model components such as land surface model and urban
+!> surface model
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE time_integration_spinup
- 
-    USE arrays_3d,                                                             &
-        ONLY:  pt, pt_p, u, u_init, v, v_init
-
-    USE control_parameters,                                                    &
-        ONLY:  averaging_interval_pr, calc_soil_moisture_during_spinup,        &
-               constant_diffusion, constant_flux_layer, coupling_start_time,   &
-               data_output_during_spinup, dopr_n, do_sum,                      &
-               dt_averaging_input_pr, dt_dopr, dt_dots, dt_do2d_xy, dt_do3d,   &
-               dt_spinup, dt_3d, humidity, intermediate_timestep_count,        &
-               intermediate_timestep_count_max, land_surface,                  &
-               simulated_time, simulated_time_chr, skip_time_dopr,             &
-               skip_time_do2d_xy, skip_time_do3d, spinup_pt_amplitude,         &
-               spinup_pt_mean, spinup_time, timestep_count, time_dopr,         &
-               time_dopr_av, time_dots, time_do2d_xy, time_do3d,               &
-               time_run_control, time_since_reference_point, urban_surface
-
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, log_point_s
-
-    USE diagnostic_output_quantities_mod,                                      &
+
+    USE arrays_3d,                                                                                 &
+        ONLY:  pt,                                                                                 &
+               pt_p,                                                                               &
+               u,                                                                                  &
+               u_init,                                                                             &
+               v,                                                                                  &
+               v_init
+
+    USE control_parameters,                                                                        &
+        ONLY:  averaging_interval_pr,                                                              &
+               calc_soil_moisture_during_spinup,                                                   &
+               constant_diffusion,                                                                 &
+               constant_flux_layer,                                                                &
+               coupling_start_time,                                                                &
+               data_output_during_spinup,                                                          &
+               dopr_n,                                                                             &
+               do_sum,                                                                             &
+               dt_averaging_input_pr,                                                              &
+               dt_dopr,                                                                            &
+               dt_dots,                                                                            &
+               dt_do2d_xy,                                                                         &
+               dt_do3d,                                                                            &
+               dt_spinup,                                                                          &
+               dt_3d,                                                                              &
+               humidity,                                                                           &
+               intermediate_timestep_count,                                                        &
+               intermediate_timestep_count_max,                                                    &
+               land_surface,                                                                       &
+               simulated_time,                                                                     &
+               simulated_time_chr,                                                                 &
+               skip_time_dopr,                                                                     &
+               skip_time_do2d_xy,                                                                  &
+               skip_time_do3d,                                                                     &
+               spinup_pt_amplitude,                                                                &
+               spinup_pt_mean,                                                                     &
+               spinup_time,                                                                        &
+               timestep_count,                                                                     &
+               time_dopr,                                                                          &
+               time_dopr_av,                                                                       &
+               time_dots,                                                                          &
+               time_do2d_xy,                                                                       &
+               time_do3d,                                                                          &
+               time_run_control,                                                                   &
+               time_since_reference_point,                                                         &
+               urban_surface
+
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               log_point_s
+
+    USE diagnostic_output_quantities_mod,                                                          &
         ONLY:  doq_calculate
 
-    USE exchange_horiz_mod,                                                    &
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
-    USE indices,                                                               &
-        ONLY:  nbgp, nzb, nzt, nysg, nyng, nxlg, nxrg
-
-    USE land_surface_model_mod,                                                &
-        ONLY:  lsm_energy_balance, lsm_soil_model, lsm_swap_timelevel
+    USE indices,                                                                                   &
+        ONLY:  nbgp,                                                                               &
+               nzb,                                                                                &
+               nzt,                                                                                &
+               nysg,                                                                               &
+               nyng,                                                                               &
+               nxlg,                                                                               &
+               nxrg
+
+    USE land_surface_model_mod,                                                                    &
+        ONLY:  lsm_energy_balance,                                                                 &
+               lsm_soil_model,                                                                     &
+               lsm_swap_timelevel
 
     USE pegrid
 
 #if defined( __parallel )
-    USE pmc_interface,                                                         &
+    USE pmc_interface,                                                                             &
         ONLY:  nested_run
 #endif
@@ -112,24 +153,32 @@
     USE kinds
 
-    USE palm_date_time_mod,                                                    &
-        ONLY:  get_date_time, seconds_per_hour
-
-    USE radiation_model_mod,                                                   &
-        ONLY:  force_radiation_call, radiation, radiation_control,             &
-               radiation_interaction, radiation_interactions, time_radiation
-
-    USE statistics,                                                            &
+    USE palm_date_time_mod,                                                                        &
+        ONLY:  get_date_time,                                                                      &
+               seconds_per_hour
+
+    USE radiation_model_mod,                                                                       &
+        ONLY:  force_radiation_call,                                                               &
+               radiation,                                                                          &
+               radiation_control,                                                                  &
+               radiation_interaction,                                                              &
+               radiation_interactions,                                                             &
+               time_radiation
+
+    USE statistics,                                                                                &
         ONLY:  flow_statistics_called
 
-    USE surface_layer_fluxes_mod,                                              &
+    USE surface_layer_fluxes_mod,                                                                  &
         ONLY:  surface_layer_fluxes
 
-    USE surface_mod,                                                           &
-        ONLY :  surf_lsm_h, surf_lsm_v, surf_usm_h,    &
+    USE surface_mod,                                                                               &
+        ONLY :  surf_lsm_h,                                                                        &
+                surf_lsm_v, surf_usm_h,                                                            &
                 surf_usm_v
 
-    USE urban_surface_mod,                                                     &
-        ONLY:  usm_material_heat_model, usm_material_model,                    &
-               usm_surface_energy_balance, usm_swap_timelevel,                 &
+    USE urban_surface_mod,                                                                         &
+        ONLY:  usm_material_heat_model,                                                            &
+               usm_material_model,                                                                 &
+               usm_surface_energy_balance,                                                         &
+               usm_swap_timelevel,                                                                 &
                usm_green_heat_model
 
@@ -139,25 +188,26 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  time_to_string                  !< 
-  
-  
-    CHARACTER (LEN=1) ::  sign_chr                        !< String containing '-' or ' ' 
-    CHARACTER (LEN=9) ::  time_since_reference_point_chr  !< time since reference point, i.e., negative during spinup
-  
-    INTEGER(iwp) ::  i !< running index
-    INTEGER(iwp) ::  j !< running index
-    INTEGER(iwp) ::  k !< running index
-    INTEGER(iwp) ::  l !< running index
-    INTEGER(iwp) ::  m !< running index
-
-    INTEGER(iwp) :: current_timestep_number_spinup = 0  !< number if timestep during spinup
-    INTEGER(iwp) :: day_of_year                         !< day of the year
-  
-    LOGICAL :: run_control_header_spinup = .FALSE.  !< flag parameter for steering whether the header information must be output
-
+    CHARACTER(LEN=1) ::  sign_chr                        !< String containing '-' or ' '
+    CHARACTER(LEN=9) ::  time_since_reference_point_chr  !< time since reference point, i.e., negative during spinup
+    CHARACTER(LEN=9) ::  time_to_string                  !<
+
+
+    INTEGER(iwp) ::  current_timestep_number_spinup = 0  !< number if timestep during spinup
+    INTEGER(iwp) ::  day_of_year                         !< day of the year
+
+    INTEGER(iwp) ::  i  !< running index
+    INTEGER(iwp) ::  j  !< running index
+    INTEGER(iwp) ::  k  !< running index
+    INTEGER(iwp) ::  l  !< running index
+    INTEGER(iwp) ::  m  !< running index
+
+
+    LOGICAL ::  run_control_header_spinup = .FALSE.  !< flag parameter for steering whether the header information must be output
+
+
+    REAL(wp) ::  dt_save        !< temporary storage for time step
     REAL(wp) ::  pt_spinup      !< temporary storage of temperature
-    REAL(wp) ::  dt_save        !< temporary storage for time step
     REAL(wp) ::  second_of_day  !< second of the day
-                  
+
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  pt_save  !< temporary storage of temperature
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  u_save   !< temporary storage of u wind component
@@ -171,8 +221,8 @@
     ALLOCATE( v_save(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 
-    CALL exchange_horiz( pt, nbgp )   
-    CALL exchange_horiz( u,  nbgp )  
-    CALL exchange_horiz( v,  nbgp )  
- 
+    CALL exchange_horiz( pt, nbgp )
+    CALL exchange_horiz( u,  nbgp )
+    CALL exchange_horiz( v,  nbgp )
+
     pt_save = pt
     u_save  = u
@@ -180,24 +230,23 @@
 
 !
-!-- Set the same wall-adjacent velocity to all grid points. The sign of the 
-!-- original velocity field must be preserved because the surface schemes crash 
-!-- otherwise. The precise reason is still unknown. A minimum velocity of 0.1
-!-- m/s is used to maintain turbulent transfer at the surface.
+!-- Set the same wall-adjacent velocity to all grid points. The sign of the original velocity field
+!-- must be preserved because the surface schemes crash otherwise. The precise reason is still
+!-- unknown. A minimum velocity of 0.1 m/s is used to maintain turbulent transfer at the surface.
     IF ( land_surface )  THEN
        DO  m = 1, surf_lsm_h%ns
-          i   = surf_lsm_h%i(m)            
+          i   = surf_lsm_h%i(m)
           j   = surf_lsm_h%j(m)
           k   = surf_lsm_h%k(m)
-          u(k,j,i) = SIGN(1.0_wp,u_init(k)) * MAX( ABS( u_init(k) ),0.1_wp)
-          v(k,j,i) = SIGN(1.0_wp,v_init(k)) * MAX( ABS( v_init(k) ),0.1_wp)
+          u(k,j,i) = SIGN( 1.0_wp, u_init(k) ) * MAX( ABS( u_init(k) ), 0.1_wp)
+          v(k,j,i) = SIGN( 1.0_wp, v_init(k) ) * MAX( ABS( v_init(k) ), 0.1_wp)
        ENDDO
 
        DO  l = 0, 3
           DO  m = 1, surf_lsm_v(l)%ns
-             i   = surf_lsm_v(l)%i(m)            
+             i   = surf_lsm_v(l)%i(m)
              j   = surf_lsm_v(l)%j(m)
              k   = surf_lsm_v(l)%k(m)
-             u(k,j,i) = SIGN(1.0_wp,u_init(k)) * MAX( ABS( u_init(k) ),0.1_wp)
-             v(k,j,i) = SIGN(1.0_wp,v_init(k)) * MAX( ABS( v_init(k) ),0.1_wp)
+             u(k,j,i) = SIGN( 1.0_wp, u_init(k) ) * MAX( ABS( u_init(k) ), 0.1_wp)
+             v(k,j,i) = SIGN( 1.0_wp, v_init(k) ) * MAX( ABS( v_init(k) ), 0.1_wp)
           ENDDO
        ENDDO
@@ -206,24 +255,24 @@
     IF ( urban_surface )  THEN
        DO  m = 1, surf_usm_h%ns
-          i   = surf_usm_h%i(m)            
+          i   = surf_usm_h%i(m)
           j   = surf_usm_h%j(m)
           k   = surf_usm_h%k(m)
-          u(k,j,i) = SIGN(1.0_wp,u_init(k)) * MAX( ABS( u_init(k) ),0.1_wp)
-          v(k,j,i) = SIGN(1.0_wp,v_init(k)) * MAX( ABS( v_init(k) ),0.1_wp)
+          u(k,j,i) = SIGN( 1.0_wp, u_init(k) ) * MAX( ABS( u_init(k) ), 0.1_wp)
+          v(k,j,i) = SIGN( 1.0_wp, v_init(k) ) * MAX( ABS( v_init(k) ), 0.1_wp)
        ENDDO
 
        DO  l = 0, 3
           DO  m = 1, surf_usm_v(l)%ns
-             i   = surf_usm_v(l)%i(m)            
+             i   = surf_usm_v(l)%i(m)
              j   = surf_usm_v(l)%j(m)
              k   = surf_usm_v(l)%k(m)
-             u(k,j,i) = SIGN(1.0_wp,u_init(k)) * MAX( ABS( u_init(k) ),0.1_wp)
-             v(k,j,i) = SIGN(1.0_wp,v_init(k)) * MAX( ABS( v_init(k) ),0.1_wp)
+             u(k,j,i) = SIGN( 1.0_wp, u_init(k) ) * MAX( ABS( u_init(k) ), 0.1_wp)
+             v(k,j,i) = SIGN( 1.0_wp, v_init(k) ) * MAX( ABS( v_init(k) ), 0.1_wp)
           ENDDO
        ENDDO
     ENDIF
 
-    CALL exchange_horiz( u,  nbgp )
-    CALL exchange_horiz( v,  nbgp )
+    CALL exchange_horiz( u, nbgp )
+    CALL exchange_horiz( v, nbgp )
 
     dt_save = dt_3d
@@ -236,37 +285,32 @@
 
        CALL cpu_log( log_point_s(15), 'timesteps spinup', 'start' )
-   
+
 !
 !--    Start of intermediate step loop
        intermediate_timestep_count = 0
-       DO  WHILE ( intermediate_timestep_count < &
-                   intermediate_timestep_count_max )
+       DO  WHILE ( intermediate_timestep_count < intermediate_timestep_count_max )
 
           intermediate_timestep_count = intermediate_timestep_count + 1
 
 !
-!--       Set the steering factors for the prognostic equations which depend
-!--       on the timestep scheme
+!--       Set the steering factors for the prognostic equations which depend on the timestep scheme
           CALL timestep_scheme_steering
 
 
 !
-!--       Estimate a near-surface air temperature based on the position of the 
-!--       sun and user input about mean temperature and amplitude. The time is
-!--       shifted by one hour to simulate a lag between air temperature and
-!--       incoming radiation
-          CALL get_date_time( simulated_time - spinup_time - seconds_per_hour, &
-                              day_of_year=day_of_year,                         &
-                              second_of_day=second_of_day                      )
-
-          pt_spinup = spinup_pt_mean + spinup_pt_amplitude                     &
-                                     * solar_angle(day_of_year, second_of_day)
-
-!
-!--       Map air temperature to all grid points in the vicinity of a surface
-!--       element
+!--       Estimate a near-surface air temperature based on the position of the sun and user input
+!--       about mean temperature and amplitude. The time is shifted by one hour to simulate a lag
+!--       between air temperature and incoming radiation.
+          CALL get_date_time( simulated_time - spinup_time - seconds_per_hour,                     &
+                              day_of_year = day_of_year, second_of_day = second_of_day )
+
+          pt_spinup = spinup_pt_mean + spinup_pt_amplitude *                                       &
+                      solar_angle( day_of_year, second_of_day )
+
+!
+!--       Map air temperature to all grid points in the vicinity of a surface element
           IF ( land_surface )  THEN
              DO  m = 1, surf_lsm_h%ns
-                i   = surf_lsm_h%i(m)            
+                i   = surf_lsm_h%i(m)
                 j   = surf_lsm_h%j(m)
                 k   = surf_lsm_h%k(m)
@@ -276,5 +320,5 @@
              DO  l = 0, 3
                 DO  m = 1, surf_lsm_v(l)%ns
-                   i   = surf_lsm_v(l)%i(m)            
+                   i   = surf_lsm_v(l)%i(m)
                    j   = surf_lsm_v(l)%j(m)
                    k   = surf_lsm_v(l)%k(m)
@@ -286,5 +330,5 @@
           IF ( urban_surface )  THEN
              DO  m = 1, surf_usm_h%ns
-                i   = surf_usm_h%i(m)            
+                i   = surf_usm_h%i(m)
                 j   = surf_usm_h%j(m)
                 k   = surf_usm_h%k(m)
@@ -297,5 +341,5 @@
              DO  l = 0, 3
                 DO  m = 1, surf_usm_v(l)%ns
-                   i   = surf_usm_v(l)%i(m)            
+                   i   = surf_usm_v(l)%i(m)
                    j   = surf_usm_v(l)%j(m)
                    k   = surf_usm_v(l)%k(m)
@@ -308,5 +352,5 @@
           ENDIF
 
-          CALL exchange_horiz( pt,  nbgp )    
+          CALL exchange_horiz( pt, nbgp )
 
 
@@ -314,5 +358,5 @@
 !--       Swap the time levels in preparation for the next time step.
           timestep_count = timestep_count + 1
-     
+
           IF ( land_surface )  THEN
               CALL lsm_swap_timelevel ( 0 )
@@ -324,16 +368,16 @@
 
           IF ( land_surface )  THEN
-             CALL lsm_swap_timelevel ( MOD( timestep_count, 2) )
+             CALL lsm_swap_timelevel ( MOD( timestep_count, 2 ) )
           ENDIF
 
           IF ( urban_surface )  THEN
-             CALL usm_swap_timelevel ( MOD( timestep_count, 2) )
-          ENDIF
-         
-!
-!--       If required, compute virtual potential temperature 
-          IF ( humidity )  THEN 
-             CALL compute_vpt 
-          ENDIF 
+             CALL usm_swap_timelevel ( MOD( timestep_count, 2 ) )
+          ENDIF
+
+!
+!--       If required, compute virtual potential temperature
+          IF ( humidity )  THEN
+             CALL compute_vpt
+          ENDIF
 
 !
@@ -342,6 +386,6 @@
 
 !
-!--          First the vertical (and horizontal) fluxes in the surface 
-!--          (constant flux) layer are computed
+!--          First the vertical (and horizontal) fluxes in the surface (constant flux) layer are
+!--          computed
              IF ( constant_flux_layer )  THEN
                 CALL surface_layer_fluxes
@@ -349,7 +393,7 @@
 
 !
-!--          If required, solve the energy balance for the surface and run soil 
-!--          model. Call for horizontal as well as vertical surfaces.
-!--          The prognostic equation for soil moisure is switched off
+!--          If required, solve the energy balance for the surface and run soil model. Call for
+!--          horizontal as well as vertical surfaces. The prognostic equation for soil moisure is
+!--          switched off
              IF ( land_surface )  THEN
 
@@ -378,6 +422,5 @@
 
 !
-!--          If required, solve the energy balance for urban surfaces and run 
-!--          the material heat model
+!--          If required, solve the energy balance for urban surfaces and run the material heat model
              IF (urban_surface) THEN
 
@@ -417,9 +460,9 @@
 !--    Increase simulation time and output times
        current_timestep_number_spinup = current_timestep_number_spinup + 1
-       simulated_time             = simulated_time   + dt_3d
-       simulated_time_chr         = time_to_string( simulated_time )
-       time_since_reference_point = simulated_time - coupling_start_time
-       time_since_reference_point_chr = time_to_string( ABS(time_since_reference_point) )
-       
+       simulated_time                 = simulated_time   + dt_3d
+       simulated_time_chr             = time_to_string( simulated_time )
+       time_since_reference_point     = simulated_time - coupling_start_time
+       time_since_reference_point_chr = time_to_string( ABS( time_since_reference_point ) )
+
        IF ( time_since_reference_point < 0.0_wp )  THEN
           sign_chr = '-'
@@ -427,40 +470,38 @@
           sign_chr = ' '
        ENDIF
-      
-       
+
+
        IF ( data_output_during_spinup )  THEN
           IF ( simulated_time >= skip_time_do2d_xy )  THEN
-             time_do2d_xy       = time_do2d_xy     + dt_3d
+             time_do2d_xy      = time_do2d_xy     + dt_3d
           ENDIF
           IF ( simulated_time >= skip_time_do3d    )  THEN
-             time_do3d          = time_do3d        + dt_3d
-          ENDIF
-          time_dots          = time_dots        + dt_3d
+             time_do3d         = time_do3d        + dt_3d
+          ENDIF
+          time_dots            = time_dots        + dt_3d
           IF ( simulated_time >= skip_time_dopr )  THEN
-             time_dopr       = time_dopr        + dt_3d
-          ENDIF
-          time_run_control   = time_run_control + dt_3d
+             time_dopr         = time_dopr        + dt_3d
+          ENDIF
+          time_run_control     = time_run_control + dt_3d
 
 !
 !--       Carry out statistical analysis and output at the requested output times.
-!--       The MOD function is used for calculating the output time counters (like
-!--       time_dopr) in order to regard a possible decrease of the output time
-!--       interval in case of restart runs
-
-!
-!--       Set a flag indicating that so far no statistics have been created
-!--       for this time step
+!--       The MOD function is used for calculating the output time counters (like time_dopr) in
+!--       order to regard a possible decrease of the output time interval in case of restart runs.
+
+!
+!--       Set a flag indicating that so far no statistics have been created for this time step
           flow_statistics_called = .FALSE.
 
 !
 !--       If required, call flow_statistics for averaging in time
-          IF ( averaging_interval_pr /= 0.0_wp  .AND.                          &
-             ( dt_dopr - time_dopr ) <= averaging_interval_pr  .AND.           &
-             simulated_time >= skip_time_dopr )  THEN
+          IF ( averaging_interval_pr /= 0.0_wp  .AND.                                              &
+               ( dt_dopr - time_dopr ) <= averaging_interval_pr  .AND.                             &
+               simulated_time >= skip_time_dopr )                                                  &
+          THEN
              time_dopr_av = time_dopr_av + dt_3d
              IF ( time_dopr_av >= dt_averaging_input_pr )  THEN
                 do_sum = .TRUE.
-                time_dopr_av = MOD( time_dopr_av,                              &
-                               MAX( dt_averaging_input_pr, dt_3d ) )
+                time_dopr_av = MOD( time_dopr_av, MAX( dt_averaging_input_pr, dt_3d ) )
              ENDIF
           ENDIF
@@ -472,5 +513,5 @@
              IF ( dopr_n /= 0 )  CALL data_output_profiles
              time_dopr = MOD( time_dopr, MAX( dt_dopr, dt_3d ) )
-             time_dopr_av = 0.0_wp    ! due to averaging (see above)
+             time_dopr_av = 0.0_wp    ! Due to averaging (see above)
           ENDIF
 
@@ -502,13 +543,11 @@
 
 !
-!--    Computation and output of run control parameters.
-!--    This is also done whenever perturbations have been imposed
-!        IF ( time_run_control >= dt_run_control  .OR.                           &
-!             timestep_scheme(1:5) /= 'runge'  .OR.  disturbance_created )       &
-!        THEN
+!--    Computation and output of run control parameters. This is also done whenever perturbations
+!--    have been imposed
+!        IF ( time_run_control >= dt_run_control  .OR.                                              &
+!             timestep_scheme(1:5) /= 'runge'  .OR.  disturbance_created )  THEN
 !           CALL run_control
 !           IF ( time_run_control >= dt_run_control )  THEN
-!              time_run_control = MOD( time_run_control,                         &
-!                                      MAX( dt_run_control, dt_3d ) )
+!              time_run_control = MOD( time_run_control, MAX( dt_run_control, dt_3d ) )
 !           ENDIF
 !        ENDIF
